<!doctype html>
<title>Use Case Matchmaking (Prototype)</title>
<h3>Use Case Matchmaking (Prototype)</h3>

{% if access_granted == False %}
<!-- Access defined -->
<p><strong>Access Denied</strong></p>
<p>The access token is missing or invalid</p>

{% else %}
<!-- Main form -->
<form action="{{action}}" method="post">
    <label for "description">Short Description of the Use Case</label><br/>
    <p><textarea name="description" id="description" rows=10 cols=48 max_length={{max_length}}/>{% if description is none%}Enter description here{% else %}{{description}}{% endif %}</textarea></p>

    <p><label for="team_size_min">Minimum team size:</label></p>
    <p><input type="number" id="team_size_min" name="team_size_min" min="1" step="1" {% if team_size_min is not none %}value={{team_size_min}}{% endif %}></p>

    <p><label for="ai_readiness">AI readiness index:</label></p>
    <p><input type="number" id="ai_readiness" name="ai_readiness" min="1" step="1" {% if ai_readiness is not none %}value={{ai_readiness}}{% endif %}></p>

    <p><label for="languages">Preferred languages for the resources to be retrieved, when applicable (multiple values can be selected by presing ctrl)</label></p>
    <p><select id="languages" name="languages" multiple="true">
        {% for lcode, lname in language_options %}
        <option value="{{lcode}}" {% if languages is not none and lcode in languages %}selected{% endif %}>{{lname}}</option>
        {% endfor %}
    </select></p>

    <p><label for="emph_labels">Specific relevant topics (multiple values can be selected by pressing ctrl)</label></p>
    <p><select id="emph_labels" name="emph_labels" multiple="true">
        {% for lcode, lname in label_options %}
        <option value="{{lname}}" {% if emph_labels is not none and lname in emph_labels %}selected{% endif %}>{{lname}}</option>
        {% endfor %}
    </select></p>

    <input type="submit" id="submit" name="submit" value="save and get assets"/>
</form>

{% if asset_list is not none %}
<h3>Assets</h3>
<ul>
{% for asset in asset_list %}
<li>
<strong>[id: {{asset.id}}] {{asset.name}} ({{"{:.3f}".format(asset.score)}}):</strong> {{asset.description}}
{% if explanation_list is not none %}
    <br><small><i>
    {% for lname, lscore in explanation_list[loop.index0] %}
    {{lname}}: {{"{:.3f}".format(lscore)}}
    {% if loop.index0 > 0 %}, {% endif %}
    {% endfor %}
    </i></small>
{% endif %}
</li>
{% endfor %}
</ul>
{% endif %}

{% endif %}



